Extending Qt Creator Manual | BaseSymbolGroupNode

Extending Qt Creator Manual 4.3.0

# BaseSymbolGroupNode Class

The BaseSymbolGroupNode class is the base class for a node of SymbolGroup with a flat list of children. More...

Header: | #include <BaseSymbolGroupNode>
Inherits: | AbstractSymbolGroupNode
Inherited By: | MapNodeSymbolGroupNode and SymbolGroupNode

- List of all members, including inherited members

## Public Functions

void | addChild(AbstractSymbolGroupNode *c)
void | removeChildAt(unsigned)

## Reimplemented Public Functions

virtual const AbstractSymbolGroupNodePtrVector & | children() const

- 22 public functions inherited from AbstractSymbolGroupNode

## Protected Functions

| BaseSymbolGroupNode(const std::string &name, const std::string &iname)
virtual | ~BaseSymbolGroupNode()
void | removeChildren()
void | reserveChildren(AbstractSymbolGroupNodePtrVector::size_type s)

### Additional Inherited Members

- 1 static protected member inherited from AbstractSymbolGroupNode

## Detailed Description

The BaseSymbolGroupNode class is the base class for a node of SymbolGroup with a flat list of children.

## Member Function Documentation

### `[protected]` BaseSymbolGroupNode::BaseSymbolGroupNode(const std::string &name, const std::string &iname)

Default constructs an instance of BaseSymbolGroupNode.

### `[virtual protected]` BaseSymbolGroupNode::~BaseSymbolGroupNode()

Destroys the instance of BaseSymbolGroupNode. The destructor is virtual.

### void BaseSymbolGroupNode::addChild(AbstractSymbolGroupNode *c)

### `[virtual]` const AbstractSymbolGroupNodePtrVector &BaseSymbolGroupNode::children() const

### void BaseSymbolGroupNode::removeChildAt(unsigned)

### `[protected]` void BaseSymbolGroupNode::removeChildren()

### `[protected]` void BaseSymbolGroupNode::reserveChildren(AbstractSymbolGroupNodePtrVector::size_type s)